#!/bin/nawk -f
#
# example: sal_max_min  field=2 scale=1 970809.dat
# Modif J.S.Charters May2001 protect against dup time incrementing
# 	the day.
#
BEGIN {
	max = -99.;
	min = 9999.;
	if ( scale == 0) scale = 1;
	FS = ","
	new_data = 0
	cnt = 0
	day = -1
	past_time = 25
}
{
	hour = substr($3,1,2)
	minute  = substr($3,3,2)
	sec  = substr($3,5,2)
	time = hour +  ( minute / 60.) + (sec / 3600.)
	if ( time < past_time ) {
		day++
	}
	past_time = time
	for ( i = 5; i < NF; i++ ) {
		if (substr($i,1,2) == field) {
			new_data = 1
			data = $(i-1)
			break;
		}
	}
#
# Do some range tests
#
	if ( field == "ST") 
		if ( ( data >= 40) || ( data <= -2)) next
	if ( field == "SC") 
		if ( ( data >= 70) || ( data <= 30)) next
	if ( field == "SA") 
		if ( ( data >= 50) || ( data <= 30)) next
	if ( field == "SV") 
		if ( ( data >= 1550) || ( data <= 1450)) next
	if ( field == "SW") 
		if ( ( data >= 2000) || ( data <= -10)) next

	if ( time > 23.91) next;
	if ( data > max ) {
		max = data;
	} 
	if ( data < min ) {
		min = data;
	}
	if ( new_data == 1) {
		out = day + ( time / 24.0)
		printf "%f %s %f %f %f\n", out, data, past_time, day, time
		cnt++
		new_data = 0
	}
}
END {
	if ( min > 3000) min = 1;
	if (max < -20) max = 2;

	max = (int ((max + scale) / scale )) * scale;
	min = (int ((min ) / scale )) * scale;
	if ( cnt != 0 ) printf "%04d/%04d\n",min,max > "range";
}
