#!/bin/nawk -f
#
# Extracts time and a2d data from the ins data files
#
# example: a2d_data.awk scale=2 n=3 970809.dat
#  will extract the third field (salinity of the first pair)
#  and output time/salinity pairs
# 
# 
#
BEGIN {
	max = -10;
	min = 10;
	if ( scale == 0) range = 1;
}
{
	if ( $1 == "GPSTIM") {
		split ( $2, time, ",");
		hour = time[4] + (time[5] / 60.) + ( time[6] / 3600.);
		next;
	}
	if ( $1 == "INSA2D" ) {
		split ( $2, data, ",");
		if (data[n] == -99) next
		value = (data[n] / ( 409.6)) - 5. ;
		printf "%f %f\n",hour, value;
		if ( value > max ) {
			max = value;
		} 
		if ( value < min ) {
			min = value;
		}
		next;
	}
}
END {
	max = (int ((max + scale) / scale )) * scale;
	min = (int ((min - scale) / scale )) * scale;
	printf "%04d/%04d\n",min,max > "range";
}
